Skip to main content
GET
/
api
/
chats
curl -X GET "https://your-domain.com/api/chats?page=1&include_pinned=true" \
  -H "Authorization: Bearer YOUR_API_KEY"
[
  {
    "id": "550e8400-e29b-41d4-a716-446655440000",
    "title": "AI Assistant Conversation",
    "updated_at": 1709251200,
    "created_at": 1709164800
  },
  {
    "id": "660f9511-f3ac-52e5-b827-557766551111",
    "title": "Code Review Discussion",
    "updated_at": 1709164800,
    "created_at": 1709078400
  }
]
Returns a list of chat title and ID summaries for the current user, with optional pagination and filtering.

Query Parameters

page
integer
Page number for pagination. When provided, returns 60 chats per page.
include_pinned
boolean
default:false
Include pinned chats in the results.
include_folders
boolean
default:false
Include chats that are in folders.

Response

Response
array
Array of chat summary objects
curl -X GET "https://your-domain.com/api/chats?page=1&include_pinned=true" \
  -H "Authorization: Bearer YOUR_API_KEY"
[
  {
    "id": "550e8400-e29b-41d4-a716-446655440000",
    "title": "AI Assistant Conversation",
    "updated_at": 1709251200,
    "created_at": 1709164800
  },
  {
    "id": "660f9511-f3ac-52e5-b827-557766551111",
    "title": "Code Review Discussion",
    "updated_at": 1709164800,
    "created_at": 1709078400
  }
]